Package javax.mail.event

# Class MailEvent

java.lang.Object
java.util.EventObject
javax.mail.event.MailEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConnectionEvent`, `FolderEvent`, `MessageChangedEvent`, `MessageCountEvent`, `StoreEvent`, `TransportEvent`

public abstract class MailEvent extends EventObject
Common base class for mail events, defining the dispatch method.

Author:
  Bill Shannon
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`MailEvent(Object source)`
Construct a MailEvent referring to the given source.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`dispatch(Object listener)`
This method invokes the appropriate method on a listener for this event.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MailEvent

public MailEvent(Object source)
Construct a MailEvent referring to the given source.

Parameters:
  `source` - the source of the event

## Method Details

### dispatch

public abstract void dispatch(Object listener)
This method invokes the appropriate method on a listener for this event. Subclasses provide the implementation.

Parameters:
  `listener` - the listener to invoke on